Subject: bug#74805: 30.0.92; Trying to build scratch/igc on Cygwin

From: Ken Brown <[email-masked]>
Date: Mon, 27 Jan 2025 16:37:39 -0500

On 1/27/2025 1:00 PM, Pip Cet wrote:
> Pip Cet <[email-masked]> writes:
> 
>> The most unusual thing seems to be that pageSize / ArenaGrainSize is so
>> large (64 KB).  Maybe that simply means that TEST_ARENA_SIZE needs to be
>> increased?
> 
> Changing ARENA_CLIENT_GRAIN_SIZE to 65536 makes the test fail here, too,
> also when the counter reaches 2730 tracts per page in the page table.
> 
> Changing
> 
> #define TEST_ARENA_SIZE              ((Size)16<<22)
> 
> to
> 
> #define TEST_ARENA_SIZE              ((Size)16<<25)
> 
> fixes it again.  My best guess is that
> 
> #define TEST_ARENA_SIZE (ARENA_CLIENT_GRAIN_SIZE << 13)
> 
> would make the arena large enough not to fail the test on all systems.
> 
> If you can confirm, we should open an issue for this in the MPS
> repository (still at GitHub, I assume).  If tehre isn't one already :-)
Thank you very much!!  I had to use 17 instead of 13 to get all the 
tests to pass consistently, but then they did in several consecutive 
runs.  (Note that there is a random element to the testsuite because of 
the use of randomize in testlib.c.)

I appreciate your help.  I guess the authors of the tests never imagined 
a platform with a 64K page size.  I hope it's simply the test suite 
that's affected and not the rest of the MPS code.

Ken

Ken